Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::sound_source_node Class Reference

Abstract base class for sound source nodes. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::sound_source_node:
[legend]

List of all members.

## Public Member Functions

virtual | ~sound_source_node ()=0 throw ()
| Destructor.

## Protected Member Functions

| sound_source_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Constructor.

## Private Member Functions

virtual sound_source_node * | to_sound_source () throw ()
| Cast to a `sound_source_node`.

## Detailed Description

Abstract base class for sound source nodes.

## Constructor & Destructor Documentation

openvrml::sound_source_node::~sound_source_node | ( |  | ) | throw ()`[pure virtual]`

Destructor.

openvrml::sound_source_node::sound_source_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Constructor.

Parameters:

  `[in]` | type | the `node_type` associated with the `node`.
  `[in]` | scope | the `scope` the `node` belongs to.

## Member Function Documentation

openvrml::sound_source_node * openvrml::sound_source_node::to_sound_source | ( |  | ) | throw ()`[private, virtual]`

Cast to a `sound_source_node`.

Returns:
  a pointer to this `sound_source_node`.

Reimplemented from openvrml::node.